Antom, leading provider of tailored payment solutions

updateCardStatus

POST /ams/api/v1/aba/cards/updateCardStatus

This API is used to update the status of a card, such as freeze, unfreeze, or cancel it, typically used for managing the card's lifecycle securely and ensuring appropriate state transitions based on customer requests or fraud prevention needs.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 


Request parameters

requestId String  REQUIRED

The unique request ID specified by the merchant for this card application request.

More information:

  • Maximum length: 32 characters

assetId String  REQUIRED

The unique identifier of a card.

More information:

  • Maximum length: 32 characters

operateType String  REQUIRED

Operation types. Valid values are as follows:

  • FREEZE: Freeze the card.
  • UNFREEZE: Unfreeze the card.
  • CANCEL: Delete the card.

More information:

  • Maximum length: 16 characters

notifyUrl String  

The notification address.

Note: Specify this parameter if you want to receive an asynchronous notification. You can also set the URL to receive the result notification in Antom Dashboard. If the URL is specified in both the request and Antom Dashboard, the value specified in the request takes precedence.

More information:

  • Maximum length: 256 characters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

status String  

Represents the result of this update operation. Valid values are:

  • SUCCESS: indicates the application is successful.
  • FAIL: indicates the application has failed.

Note: This parameter is returned only if the value of result.resultStatus is ​S.

More information:

  • Maximum length: 16 characters

requestId String  

The unique request ID specified by the merchant for this request.

More information:

  • Maximum length: 32 characters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body


Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

None

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid. For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended to contact Antom Technical Support to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

RISK_REJECTFRequest rejected due to risk concerns.

Contact Antom Technical Support.

CONTRACT_NOT_EXISTFThe contract check has failed

Contact Antom Technical Support to understand the contract status and try again.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

ASSET_NOT_EXISTFAsset not exist

Verify that the asset ID is correct and retry.

ASSET_STATUS_ERRORFAsset status error.

Check the status of your assets and try again.

ACCESS_TOKEN_EXPIREDFThe authorization does not exist.

Refresh the token interface to reacquire the access token, or contact Antom Technical Support to address it.